<?php
/**
 * Connectenvios delivery forecast
 *
 * @package Connectenvios/Classes
 */

defined( 'ABSPATH' ) || exit;

/**
 * Connectenvios delivery forecast
 */
class WCCE_Shipping_Delivery_Forecast {

	public function __construct() {
		add_action( 'woocommerce_after_shipping_rate', array( $this, 'shipping_delivery_forecast' ), 100 );
	}

	public function shipping_delivery_forecast( $shipping_method ) {
		$meta_data = $shipping_method->get_meta_data();
		$total     = isset( $meta_data['_delivery_forecast'] ) ? intval( $meta_data['_delivery_forecast'] ) : 0;

		if ( $total ) {
			/* translators: %d: days to delivery */
			echo '<p style="margin: -7px 0 10px; line-height: 1;"><small>' . esc_html( sprintf( _n( 'Entrega em até %d dia útil', 'Entrega em até %d dias úteis', $total, 'woocommerce-conectenvios' ), $total ) ) . '</small></p>';
		}
	}
}

new WCCE_Shipping_Delivery_Forecast();